#!/bin/bash

sleep 120

internet="offline"

wget -q --spider http://google.com

if [ $? -eq 0 ]; then
    internet="online"
else
    internet="offline"
fi


if [[ $internet = "online" ]]; then
value=$(<csv/system_info.json)
echo "${value}"

IFS=:, read -ra x <<< "$value"



for i in ${x[@]}
do 
	echo $i
done


[ $(git rev-parse HEAD) = $(git ls-remote $(git rev-parse --abbrev-ref @{u} | \
sed 's/\// /g') | cut -f1) ] && x[1]=" false" || x[1]=" true"


str1=$(IFS=:; echo "${x[*]:0:2}")
str2=$(IFS=:; echo "${x[*]:2:2}")

ar2=("${str1}" "${str2}")
for i in ${ar2[@]}
do 
	echo $i
done

str=$(IFS=,; echo "${ar2[*]}")

sudo chmod 777 csv/system_info.json
rm csv/system_info.json

echo "$str" >> csv/system_info.json


sudo chmod 777 csv/system_info.json

fi


